> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflows for the current user

> Returns all workflows belonging to the authenticated user.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/workflow/user/workflows
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/workflow/user/workflows:
    get:
      tags:
        - Workflows
      summary: List workflows for the current user
      description: Returns all workflows belonging to the authenticated user.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UserWorkflowSchema'
                type: array
          description: List of workflows
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UserWorkflowSchema:
      properties:
        alerts_muted_until:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        dashboard_trigger_enabled:
          readOnly: true
          type: boolean
        dashboard_trigger_label:
          nullable: true
          readOnly: true
          type: string
        heron_id:
          readOnly: true
          type: string
        is_default:
          readOnly: true
          type: boolean
        name:
          readOnly: true
          type: string
        owners:
          allOf:
            - $ref: '#/components/schemas/FlowmingoWorkflowOwners'
          readOnly: true
      type: object
    FlowmingoWorkflowOwners:
      properties:
        group_slack_name:
          items:
            type: string
          type: array
        user_email:
          items:
            format: email
            type: string
          type: array
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````